<?php

namespace Test\Test\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Test\Test\Interfaces\TestRepositoryInterface;

class TestPublicController extends BaseController
{
    // use TestWorkflow;

    /**
     * Constructor.
     *
     * @param type \Test\Test\Interfaces\TestRepositoryInterface $test
     *
     * @return type
     */
    public function __construct(TestRepositoryInterface $test)
    {
        $this->repository = $test;
        parent::__construct();
    }

    /**
     * Show test's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $tests = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();

        return $this->theme->of('test::public.test.index', compact('tests'))->render();
    }

    /**
     * Show test.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $test = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->theme->of('test::public.test.show', compact('test'))->render();
    }

}
