<?php

namespace Test\Test\Providers;

use Litepie\Contracts\Workflow\Workflow as WorkflowContract;
use Litepie\Foundation\Support\Providers\WorkflowServiceProvider as ServiceProvider;

class WorkflowServiceProvider extends ServiceProvider
{
    /**
     * The validators mappings for the package.
     *
     * @var array
     */
    protected $validators = [
        // Bind Test validator
        \Test\Test\Models\Test::class => \Test\Test\Workflow\TestValidator::class,
        // Bind Test2 validator
        \Test\Test\Models\Test2::class => \Test\Test\Workflow\Test2Validator::class,
    ];

    /**
     * The actions mappings for the package.
     *
     * @var array
     */
    protected $actions = [
        // Bind Test actions
        \Test\Test\Models\Test::class => \Test\Test\Workflow\TestAction::class,
        // Bind Test2 actions
        \Test\Test\Models\Test2::class => \Test\Test\Workflow\Test2Action::class,
    ];

    /**
     * The notifiers mappings for the package.
     *
     * @var array
     */
    protected $notifiers = [
       // Bind Test notifiers
        \Test\Test\Models\Test::class => \Test\Test\Workflow\TestNotifier::class,
        // Bind Test2 notifiers
        \Test\Test\Models\Test2::class => \Test\Test\Workflow\Test2Notifier::class,
    ];

    /**
     * Register any package workflow validation services.
     *
     * @param \Litepie\Contracts\Workflow\Workflow $workflow
     *
     * @return void
     */
    public function boot(WorkflowContract $workflow)
    {
        parent::registerValidators($workflow);
        parent::registerActions($workflow);
        parent::registerNotifiers($workflow);
    }
}
